Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2004:012: XFree86


Vulnerability Assessment Details

MDKSA-2004:012: XFree86

Vulnerability Assessment Summary
Check for the version of the XFree86 package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2004:012 (XFree86).


Two buffer overflow vulnerabilities were found by iDEFENSE in XFree86's parsing
of the font.alias file. The X server, which runs as root, fails to check the
length of user-provided input
as a result a malicious user could craft a
malformed font.alias file causing a buffer overflow upon parsing, which could
eventually lead to the execution of arbitrary code.
Additional vulnerabilities were found by David Dawes, also in the reading of
font files.
The updated packages have a patch from David Dawes to correct these
vulnerabilities.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2004:012
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

ipad case 9.7" 2017 - vintage folio stand cover case for new 2017 apple ipad
$25.01
 ipad case 9.7Apple Keyboard II ADB and Mouse Vintage Rare Mac Tested & Works M0487
$48.4
Apple Keyboard II ADB and Mouse Vintage Rare Mac Tested & Works M0487 pictureLot of 4 Vintage Apple Macintosh 3.5" Floppy Disks Software ~ Various
$9.99
Lot of 4 Vintage Apple Macintosh 3.5Apple Mouse Bus Apple - One Button Vintage (G5431)
$19.0
Apple Mouse Bus Apple - One Button Vintage (G5431) picture


Discussions

No Discussions have been posted on this vulnerability.